package com.kingdee.eas.custom.recuritment;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class BeisenTalentPoolCollection extends AbstractObjectCollection 
{
    public BeisenTalentPoolCollection()
    {
        super(BeisenTalentPoolInfo.class);
    }
    public boolean add(BeisenTalentPoolInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(BeisenTalentPoolCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(BeisenTalentPoolInfo item)
    {
        return removeObject(item);
    }
    public BeisenTalentPoolInfo get(int index)
    {
        return(BeisenTalentPoolInfo)getObject(index);
    }
    public BeisenTalentPoolInfo get(Object key)
    {
        return(BeisenTalentPoolInfo)getObject(key);
    }
    public void set(int index, BeisenTalentPoolInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(BeisenTalentPoolInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(BeisenTalentPoolInfo item)
    {
        return super.indexOf(item);
    }
}